Page MenuHomePhabricator

upgrade: support running upgrade if repository has share-safe requirement
ClosedPublic

Authored by pulkit on Jun 25 2020, 4:54 AM.

Details

Summary

This helps us in testing changing requirements of source repository and checking
that the shared repository works.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jun 25 2020, 4:54 AM
pulkit updated this revision to Diff 21754.Jul 2 2020, 7:17 AM
marmoute accepted this revision.Jul 15 2020, 2:12 PM
marmoute added a subscriber: marmoute.

Silly question: what happens when debugupdate repo is ran on a share ?

Silly question: what happens when debugupdate repo is ran on a share ?

Nice question. We don't support running debugupgraderepo on shared repositories.

pulkit updated this revision to Diff 21979.Jul 20 2020, 8:16 AM
pulkit updated this revision to Diff 22384.Aug 10 2020, 11:29 AM
pulkit updated this revision to Diff 22399.Aug 11 2020, 5:06 AM
indygreg accepted this revision.Sep 17 2020, 9:51 PM
This revision is now accepted and ready to land.Sep 17 2020, 9:51 PM